import { Injectable, Optional } from '@angular/core';
import { User } from '../models/user.model';
import { LogService } from './log.service';

@Injectable()

export class UsersService {

  constructor(@Optional() private logService: LogService) { }

  private users: User[] = [
    new User("Ben",25),
    new User("John",35),
    new User("Bob",45),
  ];


  getUsers() : User[] {
    if(this.logService) {
      this.logService.write("Get users array");
    }
    return this.users;
  }

  getUser(nmb: number): User {
    return this.users[nmb];
  }

  createUser() {

  }

  updateUser() {

  }

  destroyUser() {

  }

   
}
