import { Component, OnInit, Input, OnDestroy } from '@angular/core';
import { User } from '../models/user.model';
import { UsersService } from '../services/users.service';

@Component({
  selector: 'app-user',
  templateUrl: './user.component.html',
  styleUrls: ['./user.component.sass'],
})
export class UserComponent implements OnInit, OnDestroy {

  @Input('myUser') user: User;
  
  constructor() { 
    
  }

  ngOnInit(): void {
    
  }

  ngOnDestroy() {
    console.log('ngOnDestroy');
  }

  

}
